EmberTransportChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.ember.EmberTransportChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.ember
Class EmberTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.ember.EmberTransportChannel

All Implemented Interfaces:
  pyrasun.eio.services.bytearray.ByteArrayServerClientListener, Service, TransportChannel

public class EmberTransportChannel
extends TransportChannelSupport
implements pyrasun.eio.services.bytearray.ByteArrayServerClientListener

An EmberIO (using NIO) implementation of a TransportChannel

Version:
  $Revision: 1.15 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`protected` | `EmberTransportChannel(WireFormat wireFormat)` Construct basic helpers
`` | `EmberTransportChannel(WireFormat wireFormat, pyrasun.eio.EIOGlobalContext context, pyrasun.eio.services.EmberServiceController controller, pyrasun.eio.services.bytearray.ByteArrayServerClient client)` Connect to a remote Node - e.g.

Method Summary
`void` | `asyncSend(Packet packet)` Asynchronously send a Packet
`boolean` | `canProcessWireFormatVersion(int version)` Can this wireformat process packets of this version
`protected JMSException` | `createJMSException(String message, Exception ex)` Factory method to create a JMSException which is linked to the base exception
`int` | `getCurrentWireFormatVersion()`
`boolean` | `isMulticast()`
`void` | `newMessage(pyrasun.eio.services.bytearray.ByteArrayServerClient client, Object msg)`
`void` | `start()` start listeneing for events
`void` | `stop()` close the channel
`String` | `toString()` pretty print for object

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, send, send, setClientID, setExceptionListener, setPacketListener, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmberTransportChannel

    protected EmberTransportChannel(WireFormat wireFormat)

  Construct basic helpers

### EmberTransportChannel

    public EmberTransportChannel(WireFormat wireFormat,
                                 pyrasun.eio.EIOGlobalContext context,
                                 pyrasun.eio.services.EmberServiceController controller,
                                 pyrasun.eio.services.bytearray.ByteArrayServerClient client)

  Connect to a remote Node - e.g. a Broker

Method Detail

### stop

    public void stop()

  close the channel

  Specified by:
    `stop` in interface `TransportChannel`
  Overrides:
    `stop` in class `TransportChannelSupport`

### start

    public void start()
               throws JMSException

  start listeneing for events

  Specified by:
    `start` in interface `TransportChannel`
  Throws:
    `JMSException` - if an error occurs

### asyncSend

    public void asyncSend(Packet packet)
                   throws JMSException

  Asynchronously send a Packet

  Specified by:
    `asyncSend` in interface `TransportChannel`
  Parameters:
    `packet` -
  Throws:
    `JMSException`

### isMulticast

    public boolean isMulticast()

  Specified by:
    `isMulticast` in interface `TransportChannel`
  Returns:
    true if this transport is multicast based (i.e. broadcasts to multiple nodes)

### createJMSException

    protected JMSException createJMSException(String message,
                                              Exception ex)

  Factory method to create a JMSException which is linked to the base exception

### toString

    public String toString()

  pretty print for object

  Returns:
    String representation of this object

### newMessage

    public void newMessage(pyrasun.eio.services.bytearray.ByteArrayServerClient client,
                           Object msg)

  Specified by:
    `newMessage` in interface `pyrasun.eio.services.bytearray.ByteArrayServerClientListener`

### canProcessWireFormatVersion

    public boolean canProcessWireFormatVersion(int version)

  Can this wireformat process packets of this version

  Specified by:
    `canProcessWireFormatVersion` in interface `TransportChannel`
  Parameters:
    `version` - the version number to test
  Returns:
    true if can accept the version

### getCurrentWireFormatVersion

    public int getCurrentWireFormatVersion()

  Specified by:
    `getCurrentWireFormatVersion` in interface `TransportChannel`
  Returns:
    the current version of this wire format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.